petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSNESComputeBoundaryFEM

Form the boundary values for the local input X

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeBoundaryFEM(DM dm, Vec X, void *user)

### Input Parameters

| dm | - The mesh
| user | - The user context

### Output Parameter

X -Local solution

### See Also

DMPlexComputeJacobianAction()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages